# 环境配置
server:
  port: 9020
  servlet:
    context-path: /api/hongfeng

# condition
spel:
  scheduling: true         # 定时任务是否执行
  multiSource: false       # 是否多数据源配置

spring:
  # database
  datasource:
    hikari:
      connection-init-sql: SET NAMES utf8mb4 COLLATE utf8mb4_unicode_ci           # SqlServer, Oracle 无需设置类型
    driver-class-name: com.mysql.cj.jdbc.Driver
    username: root
    password: mu123
    url: jdbc:mysql://127.0.0.1:3306/mjava?serverTimezone=Asia/Shanghai&useUnicode=yes&characterEncoding=UTF-8&useSSL=true
  jpa:
    database: MYSQL
    database-platform: org.hibernate.dialect.MySQL57Dialect

# dingtalk
dingtalk:
  agentId: 2591532974
  appKey: dingwucwzoklmsoeilhs
  appSecret: jtRFRosFr0DCN8XWRnco_zFVETBMqEs7tTMaJcznTJJYoh0VcLdHgxbyABVW-DNK
  corpId: ding9fccaae9cab903dbf5bf40eda33b7ba0
  aesKey:
  token:
  operator: ""   # OA管理员账号

# aliwork
aliwork:
  appType: APP_DEBW3QRX4VB52DKXD5IA
  systemToken: TL866181KMTAV5TEDV37X6VDTH692GIJMYPHL0